List Environment Group Metrics

get

/rpa/v1/environmentGroups/metrics

Gets a list of all available environment groups metrics in a service instance.

Request

Query Parameters
  • Environment Group Identifier
  • Minimum Value: 1
    Maximum Value: 100
    The maximum number of items to return.
    Default Value: 100
  • Minimum Length: 1
    A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response.
  • time period from the current time for which metrics to be queried.
    Default Value: HOUR_1
    Allowed Values: [ "HOUR_1", "HOUR_6", "HOUR_12", "HOUR_24" ]
  • Project identifier
  • The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
    Default Value: TIME_CREATED
    Allowed Values: [ "TIME_CREATED", "DISPLAY_NAME" ]
  • The sort order to use, either 'ASC' or 'DESC'.
    Allowed Values: [ "ASC", "DESC" ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

A page of Environment Group Summary objects.
Headers
  • For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : EnvironmentGroupMetricsCollection
Type: object
Results of a environmentGroup list metrics operation. Contains EnvironmentGroupMetricSummary items.
Show Source
Nested Schema : items
Type: array
List of EnvironmentGroupMetricSummary objects
Show Source
Nested Schema : EnvironmentGroupMetricSummary
Type: object
Summary of an environment group utilization metrics
Show Source
Nested Schema : dataPoints
Type: array
T2 metrics DataPoints for Utilization.
Show Source
Nested Schema : EnvironmentGroupMetricDataPoints
Type: object
EnvironmentGroupMetricDataPoints items.
Show Source

400 Response

Bad Request
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

401 Response

Unauthorized
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

404 Response

Not Found
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

429 Response

Too Many Requests
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

500 Response

Internal Server Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source

Default Response

Unknown Error
Headers
  • Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Body ()
Root Schema : Error
Type: object
Show Source
Back to Top